> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run health checks for configured integrations for a tenant.

> Integration health checks

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Response

`object[]` — each element:

<ResponseField name="id" type="string" required>
  Integration identifier in snake\_case (crate::http::integrations::IntegrationId), e.g. `shopify`, `netsuite`, `dcl`, `fishbowl`, `capacity`, `stateset_api`, `amazon`, `tiktok`, `walmart`
</ResponseField>

<ResponseField name="name" type="string" required />

<ResponseField name="status" type="string" required />

<ResponseField name="latencyMs" type="integer" />

<ResponseField name="details" type="string" />

### Status codes

| Code  | Meaning                   |
| ----- | ------------------------- |
| `200` | Integration health checks |
| `401` | Unauthorized              |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations/health' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "Two-Person Tent",
      "status": "healthy",
      "latencyMs": 250,
      "details": "string"
    }
  ]
  ```
</ResponseExample>
